Bug 204507 - gnu java not compatible with net.sf.cglib.core. affects hibernate
gnu java not compatible with net.sf.cglib.core. affects hibernate
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: java-1.4.2-gcj-compat (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Thomas Fitzsimmons
http://cglib.sourceforge.net/
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-08-29 13:07 EDT by Bryce Nesbitt
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-11 15:25:20 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bryce Nesbitt 2006-08-29 13:07:44 EDT
Attempts to use library net.sf.cglib.core with fc5 fail, with something like:


java.lang.NoClassDefFoundError: net.sf.cglib.core.DebuggingClassWriter$1
	java.lang.Class.initializeClass(libgcj.so.7)
	net.sf.cglib.core.DebuggingClassWriter.toByteArray(DebuggingClassWriter.java:104)
	net.sf.cglib.core.DefaultGeneratorStrategy.generate(DefaultGeneratorStrategy.java:64)
	net.sf.cglib.core.AbstractClassGenerator.create(AbstractClassGenerator.java:192)
	net.sf.cglib.core.KeyFactory$Generator.create(KeyFactory.java:177)
	net.sf.cglib.core.KeyFactory.create(KeyFactory.java:149)
	net.sf.cglib.core.MethodWrapper.<clinit>(MethodWrapper.java:60)
	java.lang.Class.initializeClass(libgcj.so.7)
	net.sf.cglib.core.DuplicatesPredicate.evaluate(DuplicatesPredicate.java:63)
	net.sf.cglib.core.CollectionUtils.filter(CollectionUtils.java:90)
	net.sf.cglib.reflect.FastClassEmitter.<init>(FastClassEmitter.java:106)
	net.sf.cglib.reflect.FastClass$Generator.generateClass(FastClass.java:100)
	net.sf.cglib.core.DefaultGeneratorStrategy.generate(DefaultGeneratorStrategy.java:64)
	net.sf.cglib.core.AbstractClassGenerator.create(AbstractClassGenerator.java:192)
	net.sf.cglib.reflect.FastClass$Generator.create(FastClass.java:92)
	net.sf.cglib.reflect.FastClass.create(FastClass.java:74)
	net.sf.hibernate.type.ComponentType.<init>(ComponentType.java:113)
	net.sf.hibernate.cfg.Binder.bindComponent(Binder.java:899)
	net.sf.hibernate.cfg.Binder.propertiesFromXML(Binder.java:1041)
	net.sf.hibernate.cfg.Binder.bindRootClass(Binder.java:363)
	net.sf.hibernate.cfg.Binder.bindRoot(Binder.java:1244)
	net.sf.hibernate.cfg.Configuration.add(Configuration.java:254)
	net.sf.hibernate.cfg.Configuration.addInputStream(Configuration.java:286)
	net.sf.hibernate.cfg.Configuration.addClass(Configuration.java:351)



Others have noted this back to fedora core 4:
http://xplanner.codehaus.org/XPlanner+installation+FAQ
Comment 1 Thomas Fitzsimmons 2006-08-30 16:07:38 EDT
How do I reproduce the backtrace you've pasted here?
Comment 2 Bryce Nesbitt 2006-08-31 01:24:22 EDT
You can't easily.  That occurs deep in a complex web application (built with
struts/xwork and the hibernate object relational mapper).

The best I can suggest is to have a look at the same issue at:
http://xplanner.codehaus.org/XPlanner+installation+FAQ
Comment 3 Thomas Fitzsimmons 2006-09-13 14:01:29 EDT
Can you try this on FC-6 when it is released?  If it doesn't work then this will
have to wait until we package hibernate and its dependencies for Fedora Core and
Fedora Extras.
Comment 4 Bryce Nesbitt 2006-09-13 16:03:54 EDT
We installed Sun Java, and moved on.  Our production servers are committed to
fc5, sorry we can't be of help.

Note You need to log in before you can comment on or make changes to this bug.